---
schema-version: '1.1'
name: OpenSearch Dashboards
version: 2.18.0
platform: linux
architecture: arm64
distribution: deb
id: '8053'
rc: '8'
test-run:
  Command: ./test.sh integ-test manifests/2.18.0/opensearch-dashboards-2.18.0-test.yml
    --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.18.0/10479/linux/arm64/deb
    opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.18.0/8053/linux/arm64/deb
  TestType: integ-test
  TestManifest: manifests/2.18.0/opensearch-dashboards-2.18.0-test.yml
  DistributionManifest: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/dist/opensearch-dashboards/manifest.yml
  TestID: '6685'
components:
  - name: indexManagementDashboards
    command: ./test.sh integ-test manifests/2.18.0/opensearch-dashboards-2.18.0-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.18.0/10479/linux/arm64/deb
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.18.0/8053/linux/arm64/deb
      --component indexManagementDashboards
    repository: https://github.com/opensearch-project/index-management-dashboards-plugin.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/indexManagementDashboards/with-security/indexManagementDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/indexManagementDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/indexManagementDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/indexManagementDashboards/without-security/indexManagementDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/indexManagementDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/indexManagementDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - No Failed Test
  - name: customImportMapDashboards
    command: ./test.sh integ-test manifests/2.18.0/opensearch-dashboards-2.18.0-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.18.0/10479/linux/arm64/deb
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.18.0/8053/linux/arm64/deb
      --component customImportMapDashboards
    repository: https://github.com/opensearch-project/dashboards-maps.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/customImportMapDashboards/with-security/customImportMapDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/customImportMapDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/customImportMapDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/customImportMapDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/customImportMapDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/customImportMapDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/customImportMapDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/customImportMapDashboards/without-security/customImportMapDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/customImportMapDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/customImportMapDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/customImportMapDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/customImportMapDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/customImportMapDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.18.0/8053/linux/arm64/deb/test-results/6685/integ-test/customImportMapDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - No Failed Test
